Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## gudusoft.gsqlparser
Enum EErrorType

    java.lang.Object
      java.lang.Enum<EErrorType>
          gudusoft.gsqlparser.EErrorType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EErrorType>

    public enum EErrorType

extends java.lang.Enum<EErrorType>

Type of SQL syntax errors.

Enum Constant Summary
`sperror`
`spfatalabort`
`spfatalerror`
`sphint`
`spmssqlrecover`
`spppdifferencetext`
`sppperror`
`spppexception`
`spwarning`
`spwarningdbobject`

Method Summary
`static EErrorType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EErrorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### sperror

    public static final EErrorType sperror

### spfatalerror

    public static final EErrorType spfatalerror

### spfatalabort

    public static final EErrorType spfatalabort

### spwarning

    public static final EErrorType spwarning

### sphint

    public static final EErrorType sphint

### sppperror

    public static final EErrorType sppperror

### spppexception

    public static final EErrorType spppexception

### spppdifferencetext

    public static final EErrorType spppdifferencetext

### spmssqlrecover

    public static final EErrorType spmssqlrecover

### spwarningdbobject

    public static final EErrorType spwarningdbobject

Method Detail

### values

    public static final EErrorType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(EErrorType c : EErrorType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static EErrorType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD